package com.njcn.event.service.majornetwork;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.device.pq.pojo.param.LargeScreenParam;
import com.njcn.device.pq.pojo.vo.*;
import com.njcn.harmonic.pojo.dto.ComAssessDTO;
import com.njcn.harmonic.pojo.po.PQSComAssesPO;

import java.util.List;


/**
 * @version 1.0.0
 * @author: zbj
 * @date: 2023/03/31
 */
public interface LargeScreenService {

    AreaDownVO getAreaDownStatistics(LargeScreenParam largeScreenParam);

    List<LoadTypeVO> getLoadType(LargeScreenParam largeScreenParam);

    List<DownTimeVO> getTimeCount(LargeScreenParam largeScreenParam);

    List<EventVO> eventLists(LargeScreenParam largeScreenParam);

    List<AllDataVO> getAllData(LargeScreenParam largeScreenParam);

    EventListVO getMiddleDown(LargeScreenParam largeScreenParam);

    MiddleTerminalListVO getMiddleTerminal(LargeScreenParam largeScreenParam);

    Page<MiddleLimitRateVO> getMiddleLimitRate(LargeScreenParam largeScreenParam);

    List<PQSComAssesPO> getComAccessData(List<String> lineIndexes, String searchBeginTime, String searchEndTime);

    void setResults(List<PQSComAssesPO> pqsComAssesPOS, List<ComAssessDTO> comAssessDTOS);
}
